Mint client access token
POST
/platform/clientauth/tokenExchange client_id/client_secret for a short-lived access token. The request subject is an opaque client-defined label and is not treated as authoritative user identity for authorization.
Request Body
requiredapplication/json{
"$ref": "#/components/schemas/types.MintClientTokenRequest",
"$ref-value": {
"properties": {
"client_id": {
"type": "string"
},
"client_secret": {
"type": "string"
},
"project_id": {
"type": "string"
},
"subject": {
"type": "string"
},
"ttl_minutes": {
"type": "integer"
}
},
"required": [
"client_id",
"client_secret",
"subject"
],
"type": "object"
}
}Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/clientauthv1.MintClientTokenResponse",
"$ref-value": {
"properties": {
"access_token": {
"type": "string"
},
"expires_at": {
"type": "string"
},
"expires_in": {
"type": "integer"
},
"token_type": {
"type": "string"
}
},
"type": "object"
}
}curl -X POST "https://api.rixl.com/platform/clientauth/token" \
-H "Content-Type: application/json" \
-d '{
"client_id": "string",
"client_secret": "string",
"subject": "string"
}'OK
application/json
{
"$ref": "#/components/schemas/clientauthv1.MintClientTokenResponse",
"$ref-value": {
"properties": {
"access_token": {
"type": "string"
},
"expires_at": {
"type": "string"
},
"expires_in": {
"type": "integer"
},
"token_type": {
"type": "string"
}
},
"type": "object"
}
}